cancel
Showing results for 
Search instead for 
Did you mean: 

ORA-01013

SOLVED
Go to solution
Kyris
Frequent Advisor

ORA-01013

A client running windows 2000, Oracle 8.0.4, ODBC 8.00.0400 logging onto windows 2000 Advance server running Oracle 9i gets an ORA 01013-user cancelled operation.
This started when we upgraded the server from NT4 Oracle 8.0.4 to WIN 2000 Advance Server Oracle 9i
Can someone please let me know how to resolve this matter. Is an upgrade to a later version of ODBC be enough to sort things out and if so which version will be best.
Thanks
kyris
7 REPLIES
Indira Aramandla
Honored Contributor

Re: ORA-01013

Hi Kyris,

The Oracle 8 driver implements a timeout feature, which did not exist with the 7 driver. The base version of the driver does not provide facilities to disable the timeout. Later versions of the ODBC driver provide a feature to disable query timeout.

If you are using ODBC, there is an option when you configure the DSN to disable query timeout


IA
Never give up, Keep Trying
Eric Antunes
Honored Contributor

Re: ORA-01013

Hi Kyris,

Get a new version of ODBC at ftp://oracle-ftp.oracle.com/dev_tools/patchsets/mslang/odbc/ and reconfigure the DSN or, if you can, modify the connection object in the application to increase the value of the QueryTimeout property.

Best Regards,

Eric Antunes
Each and every day is a good day to learn.
Kyris
Frequent Advisor

Re: ORA-01013

Thank you both for your responses.
Any ideas what exact version of ODBC I should have on the workstation with Oracle 8.0.4 so that it could talk to Oracle 9i???
Thare are so many on http://www.oracle.com/technology/software/tech/windows/odbc/index.html
Thanks
kyris

Yogeeraj_1
Honored Contributor

Re: ORA-01013

hi kris,

you can try the latest one available - 10.1.0.4.0.

go through the readme file for more details...

regards
yogeeraj
No person was ever honoured for what he received. Honour has been the reward for what he gave (clavin coolidge)
Eric Antunes
Honored Contributor
Solution

Re: ORA-01013

Hi again,

Choose at least the last Oracle 9i version.
Each and every day is a good day to learn.
Kyris
Frequent Advisor

Re: ORA-01013

Thank you all for your kind help on this matter. I had to upgrade my client as well before a new version of ODBC will work.

kyris
Kyris
Frequent Advisor

Re: ORA-01013

Thank You